AssertMo
Date: 2015-09-15

org.jmock.expectation

## Class AssertMo

- java.lang.Object
- - junit.framework.Assert
  - - org.jmock.expectation.AssertMo

-     public class AssertMo
      extends junit.framework.Assert

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AssertMo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `assertEquals(java.lang.String description, java.lang.Object[] expectedArray, java.lang.Object[] actualArray)`
    `static void` | `assertExcludes(java.lang.String description, java.lang.String excludeString, java.lang.String targetString)`
    `static void` | `assertFails(java.lang.String message, java.lang.Runnable runnable)`
    `static void` | `assertIncludes(java.lang.String description, java.lang.String includeString, java.lang.String targetString)`
    `static void` | `assertStartsWith(java.lang.String description, java.lang.String startString, java.lang.String targetString)`
    `static void` | `assertVerifyFails(Verifiable aVerifiable)`
    `static void` | `failNotEquals(java.lang.String message, java.lang.Object expected, java.lang.Object actual)`
    `static void` | `notImplemented(java.lang.String mockName)`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotSame, failSame, format`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssertMo

          protected AssertMo()

  - ### Method Detail

    - #### assertEquals

          public static void assertEquals(java.lang.String description,
                          java.lang.Object[] expectedArray,
                          java.lang.Object[] actualArray)

    - #### assertExcludes

          public static void assertExcludes(java.lang.String description,
                            java.lang.String excludeString,
                            java.lang.String targetString)

    - #### assertIncludes

          public static void assertIncludes(java.lang.String description,
                            java.lang.String includeString,
                            java.lang.String targetString)

    - #### assertStartsWith

          public static void assertStartsWith(java.lang.String description,
                              java.lang.String startString,
                              java.lang.String targetString)

    - #### assertVerifyFails

          public static void assertVerifyFails(Verifiable aVerifiable)

    - #### failNotEquals

          public static void failNotEquals(java.lang.String message,
                           java.lang.Object expected,
                           java.lang.Object actual)

    - #### notImplemented

          public static void notImplemented(java.lang.String mockName)

    - #### assertFails

          public static void assertFails(java.lang.String message,
                         java.lang.Runnable runnable)